Subject: Re: bug#26339: [PATCH v4 2/7] bootloader: Adapt vm to new bootloader API.

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 14 May 2017 16:59:27 +0200

On Sun, 14 May 2017 15:28:47 +0200
[email-masked] (Ludovic Courtès) wrote:

> I suggest avoiding dots in identifiers (RnRS Scheme does not allow it
> because it can conflict with the dot notation for pairs.)  Use a hyphen
> instead.

... oops.  My fault for suggesting it.  I didn't have practical problems with dots before and some parts in Guix already use the dot
(latest-kernel.org-release, package definitions and the previous bootloader that's in master for a long time).

But good to know.  I shall use no dots in identifiers in the future.  Any preference of how to name derivations?